# 'tk interface' plattformübergreifendes Standardpaket
# Benutzt OS Standard Aussehen
# Erstes 'Hallo Welt!'
import tkinter as tk
# root = Fenster der Anwendung
'''root = tk.Tk()'''
# Textkomponente erzeugen
'''label_hallo = tk.Label(root, text='Hallo Welt!')'''
# Text zum Fenster hinzufügen ('hinein packen')
# padxy für Abstände
'''label_hallo.pack(padx=50, pady=20)'''
# Start der Hauptschleife
'''root.mainloop()'''

# Objektorientiert
'''class HalloWelt(tk.Frame):
    def __init__(self, parent):
        super(HalloWelt, self).__init__(parent)

        self.label_hallo = tk.Label(self, text='Hallo Welt!')
        self.label_hallo.pack(padx=50, pady=20)


if __name__ == '__main__':
    root = tk.Tk()

    main = HalloWelt(root)
    main.pack(fill='both', expand=True)

    root.mainloop()'''


# Enter csv in textbox
def show_in_new_window(event):
    """
    Zeige Zelleninhalt in neuem Fenster.
    """
    popup = tk.Toplevel(window)
    popup.geometry('300x300')
    label_popup = tk.Label(popup, text=event.widget['text'])
    label_popup.pack()
    popup.mainloop()


def handle_button_get_table():
    # 1.0 = line 1, character 0
    csv_text = text_csv.get('1.0', tk.END).split('\n')
    for line_idx, line in enumerate(csv_text):
        row = line.split(',')
        for cell_idx, cell in enumerate(row):
            if cell:
                label_cell = tk.Label(master=frame_table, text=cell)
                label_cell.grid(row=line_idx, column=cell_idx, padx=5, pady=5)
                label_cell.bind('<Button-1>', show_in_new_window)


window = tk.Tk()
# Frame ist ein Bereich im Fenster
frame_label = tk.Frame()
label_enter_data = tk.Label(master=frame_label, text='Bitte geben Sie Ihre CSV Daten ein')
label_enter_data.pack()

# relief fügt Darstellung hinzu
frame_csv = tk.Frame(relief=tk.SUNKEN, borderwidth=5)
text_csv = tk.Text(master=frame_csv)
text_csv.pack()

frame_table = tk.Frame(relief=tk.RAISED, borderwidth=2)

frame_button = tk.Frame()
button_get_table = tk.Button(master=frame_button,
                             text='Zeige Tabelle',
                             width=25, height=5,
                             bg='grey', fg='white',
                             command=handle_button_get_table)
# button_get_table.bind('<Button-1>', handle_button_get_table)
button_get_table.pack()

# Bereiche zum Fenster hinzufügen und positionieren
frame_label.place(x=10, y=420)
frame_csv.pack(padx=10, pady=10)
frame_button.pack(padx=10, pady=10)

frame_table.pack(padx=5, pady=5)

window.mainloop()
